Issue 121435 - Writer crashes while editing text using filtered "recorded changes" list
Writer crashes while editing text using filtered "recorded changes" list
Status: VERIFIED FIXED
Product: Writer
Classification: Application
Component: editing
3.4.1
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
Suchithra
:
Depends on:
Blocks: 121500
  Show dependency treegraph
 
Reported: 2012-12-04 12:45 UTC by stfhell
Modified: 2013-07-10 08:20 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: 3.4.1
Developer Difficulty: ---
jsc: 4.0.0_release_blocker+


Attachments
test file delete_inserted.odt (25.97 KB, application/vnd.oasis.opendocument.text)
2012-12-04 12:49 UTC, stfhell
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description stfhell 2012-12-04 12:45:52 UTC
Writer crashes when a user uses the "Accept or reject changes" dialogue, enables a filter for changes done by a particular user and deletes the text inserted by that user while "record/track changes" (redlining) is still active.

If user 1 deletes a text inserted by user 2, Writer is displays a 2-level revision mark: The insertion by user 2 is superseded by the deletion of user 1. Both are recorded as tracked revisions, both changes remain visible, as a deletion of inserted text (that is: the text inserted by user 2 is not simply removed from the list of tracked changes).

Tested with AOO 3.4.1 and LibreOffice 3.5 and 3.7 under Ubuntu 12.04.
See fdo-Issue 57874:
https://bugs.freedesktop.org/show_bug.cgi?id=57874
where I also posted a backtrace done with LO 3.7.
Comment 1 stfhell 2012-12-04 12:49:24 UTC
Created attachment 79994 [details]
test file delete_inserted.odt

Reproduce bug with test file:

(1) Open file delete_inserted.odt.
(2) Select menu Edit / Changes / Accept or reject. In the tracked changes list, select Filter / Author = "User Name2". Go back to list view.
(3) The list shows 2 insertions by "User Name2" - this user has inserted 2 spaces. With "track changes" still enabled, go to each tracked change, and delete each of the 2 spaces. AOO 3.4.1 crashes on deletion of the 2nd space.
Comment 2 Oliver-Rainer Wittmann 2012-12-05 09:49:45 UTC
CC myself
Comment 3 binguo 2012-12-21 09:40:15 UTC
I can not reproduce this bug on Aoo_Trunk_20121214.1915 Rev.1413470, no crash when delete spaces, keep it in uncomfirmed. would you please re-run the steps against latest build? thank you.
Comment 4 stfhell 2012-12-21 13:34:04 UTC
Still reproducible for me with nightly build AOO350m1(Build:9611) - Rev. 1420743
2012-12-13_04:34:45 - Rev. 1421074 (Linux64) under Ubuntu 12.04/AMD64.
Comment 5 Suchithra 2013-01-23 02:40:29 UTC
Still reproducible for me with  (Build:9593) - Rev. 1372282 on MAC OSX 10.6.8.
Comment 6 Suchithra 2013-01-23 02:41:00 UTC
Still reproducible for me with  (Build:9593) - Rev. 1372282 on MAC OSX 10.6.8.
Comment 7 Suchithra 2013-01-29 14:33:59 UTC
Still reproducible for me with  (Build:9593) - Rev. 1372282 on MAC OSX 10.6.8.
Comment 8 stfhell 2013-06-03 15:07:16 UTC
P-E Pelloux-Prayer from Lanedo has committed a patch for LibreOffice (which I haven't tested so far) concerning this issue, see
https://bugs.freedesktop.org/show_bug.cgi?id=57874#c6 :

> fdo#57874: verify GetRedlinePos return value before usage
> Make sure return value of GetRedlinePos is checked each time before usage.
> Fix crash in Redline dialog.
> Change-Id: I5586d8ddc1a7905c524a522addc89969e704048d
> file sw/source/ui/misc/redlndlg.cxx
Comment 9 Oliver-Rainer Wittmann 2013-06-21 07:22:22 UTC
working on a fix
Comment 10 Oliver-Rainer Wittmann 2013-06-21 09:00:02 UTC
fixed on trunk for AOO 4.0 - revision 1495337
Comment 11 jsc 2013-07-03 09:49:45 UTC
grant showstopper flag to get clear status, already fixed
Comment 12 fanyuzhen 2013-07-10 08:20:18 UTC
It's verified fixed in revision 1499347